{ pkgs, lib, ... }:

{
  imports = [
    # GUI
    ../../modules/home/gui/common
    ../../modules/home/gui/hyprland
    ../../modules/home/gui/nextcloud.nix
    ../../modules/home/gui/theming.nix

    # CLI
    ../../modules/home/cli/common
  ];

  options = {
    host = lib.mkOption {
      type = with lib.types; str;
      description = ''
        Define the host of the machine
      '';
    };

    headless = lib.mkOption {
      type = with lib.types; bool;
      description = ''
        Is this machine headless?
      '';
    };
  };

  config = {
    home = {
      username = "xeovalyte";
      homeDirectory = "/home/xeovalyte";
    };

    host = "xv-desktop";
    headless = false;

    home.packages = with pkgs; [
       unstable.prismlauncher
    ];

    home.stateVersion = "24.05";
  };
}
